Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        DataGridView1.AutoGenerateColumns = False
        Dim dt As New DataTable With {.TableName = "Jobs"}

        dt.Columns.AddRange(New DataColumn() _
           { _
              New DataColumn("Col1", GetType(System.String)),
              New DataColumn("Col2", GetType(System.Decimal))
           } _
        )


        dt.Rows.Add(New Object() {"AAA", 0})
        dt.Rows.Add(New Object() {"BBB", 12.5})
        dt.Rows.Add(New Object() {"CCC", 1.5})
        DataGridView1.DataSource = dt

    End Sub
End Class